package com.ccwangluo.ccim.modle;

import java.util.Collection;


public class PullContactsRes {
    private Collection<ContactGroup> contactGroups;
    private Collection<Contact> contacts;
    private Collection<Dialog> dialogs;
    private Collection<Long> blocklist;

    public Collection<Long> getBlocklist() {
        return blocklist;
    }

    public void setBlocklist(Collection<Long> blocklist) {
        this.blocklist = blocklist;
    }

    public PullContactsRes(Collection<ContactGroup> contactGroups, Collection<Contact> contacts, Collection<Dialog> dialogs, Collection<Long> blocklist) {
        this.contactGroups = contactGroups;
        this.contacts = contacts;
        this.dialogs = dialogs;
        this.blocklist = blocklist;
    }

    public Collection<ContactGroup> getContactGroups() {
        return contactGroups;
    }

    public void setContactGroups(Collection<ContactGroup> contactGroups) {
        this.contactGroups = contactGroups;
    }

    public Collection<Contact> getContacts() {
        return contacts;
    }

    public void setContacts(Collection<Contact> contacts) {
        this.contacts = contacts;
    }

    public Collection<Dialog> getDialogs() {
        return dialogs;
    }

    public void setDialogs(Collection<Dialog> dialogs) {
        this.dialogs = dialogs;
    }
}
